# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Most
Version:	0.23
Release:	3.%{__distinit}%{__distvers}
Summary:	Perl module with test functions and features
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Most/
Source0:	http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Test-Most-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Data::Dumper::Names) >= 0.03
BuildRequires:	perl(Exception::Class) >= 1.14
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Deep) >= 0.106
BuildRequires:	perl(Test::Differences) >= 0.50
BuildRequires:	perl(Test::Exception) >= 0.29
BuildRequires:	perl(Test::Harness) >= 3.07
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Simple) >= 0.82
BuildRequires:	perl(Test::Warn) >= 0.11
# Test::Pod::Coverage thinks that Test::Most::Exception has a naked subroutine
BuildConflicts:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Not automatically detected
Requires:	perl(Test::Deep)
Requires:	perl(Test::Differences)
Requires:	perl(Test::Exception)
Requires:	perl(Test::Warn)

%description
Most commonly needed test functions and features. This module provides you with 
the most commonly used testing functions and gives you a bit more fine-grained 
control over your test suite.

%prep
%setup -q -n Test-Most-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="xt/author/*.t"

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Most.3pm*
%{_mandir}/man3/Test::Most::Exception.3pm*

%changelog
* Thu Aug 18 2011 Paul Howarth <paul@city-fan.org> - 0.23-3
- Drop perl(Test::Differences) version requirement from 0.500 to 0.50 to
  account for versioning differences between perl and rpm
- Do separate test runs for main test suite and author tests
- Explicit BuildRoot tag and cleaning in %%install not needed for F-10 onwards
- Specifying %%defattr(-,root,root,-) in %%files list not needed from rpm 4.4
  in FC-4
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 0.23-2
- Add explicit requires that are no longer automatically detected

* Wed Sep  8 2010 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23
  - Added "Excluding Test Symbols" feature (CPAN RT#61146)

* Sun Aug  8 2010 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22
  - Have explain() depend on Test::More::note()
  - Depend on Test::More directly
  - Import strict and warnings
  - Remove strict and warnings from tests since they no longer need them
  - Bump Test::Warn requirement to 0.11 (CPAN RT#44790)
  - Bump Test::More requirement to 0.88 for done_testing()
  - Bump version numbers for all test modules
  - Moderately significant POD update
  - Add ability to exclude test modules in case of conflicts (CPAN RT#54362)
  - Add always_explain() and always_show()
  - Apply doc fixes from ranguard

* Mon Jun 28 2010 Paul Howarth <paul@city-fan.org> - 0.21-7
- Import from Fedora
- Use ExtUtils::MakeMaker rather than Module::Build
- Run author tests in %%check

* Thu May  6 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.21-5
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr  6 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.21-3
- Remove unnecessary requirements

* Thu Apr  2 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.21-1
- Specfile autogenerated by cpanspec 1.78
